crypton-1.0.1: Cryptography Primitives sink

License | BSD-style
Maintainer | Carlos Rodriguez-Vega <crodveg@yahoo.es>
Stability | experimental
Portability | unknown
Safe Haskell | None
Language | Haskell2010

Crypto.PubKey.Rabin.Types

Description

Synopsis

- data Error
  - = MessageTooLong
  - | MessageNotRecognized
  - | InvalidParameters
- generatePrimes :: MonadRandom m => Int -> PrimeCondition -> PrimeCondition -> m (Integer, Integer)

# Documentation

data Error #

Error possible during encryption, decryption or signing.

Constructors

MessageTooLong | the message to encrypt is too long
MessageNotRecognized | the message decrypted doesn't have a OAEP structure
InvalidParameters | some parameters lead to breaking assumptions

#### Instances

Instances details

Show Error # |
Instance details Defined in Crypto.PubKey.Rabin.Types Methods showsPrec :: Int -> Error -> ShowS # show :: Error -> String # showList :: [Error] -> ShowS #
Eq Error # |
Instance details Defined in Crypto.PubKey.Rabin.Types Methods (==) :: Error -> Error -> Bool # (/=) :: Error -> Error -> Bool #

generatePrimes #

Arguments

:: MonadRandom m |
=> Int | size in bytes
-> PrimeCondition | condition prime p must satisfy
-> PrimeCondition | condition prime q must satisfy
-> m (Integer, Integer) | chosen distinct primes p and q

Generate primes p & q